Page MenuHomePhabricator

Create generic security-team request for service intake mechanism
Closed, ResolvedPublic16 Estimate Story Points

Description

We want an intake form that allows us to flow requests into our service offerings. This may be a custom form, task type, google form, who knows.

Event Timeline

chasemp created this task.Dec 11 2019, 7:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2019, 7:09 PM
chasemp triaged this task as Medium priority.Dec 11 2019, 7:11 PM
chasemp moved this task from Incoming to In Progress on the Security-Team board.
chasemp set the point value for this task to 16.
chasemp removed a project: Epic.

I've created form 72 and I /think/ the right thing to do is create this as an 'Administrative Request' task type. I'm hoping that this doesn't much up anything existing but afaict it's the right thing. ping @mmodell as a heads up in case you see weirdness.

(Let's please add Phabricator to Phab configuration tasks (e.g. Phab forms) so they can be ever again in the future when searching for Phab things. Thanks :)

(Let's please add Phabricator to Phab configuration tasks (e.g. Phab forms) so they can be ever again in the future when searching for Phab things. Thanks :)

heard, my bad :)

chasemp reassigned this task from chasemp to Jcross.Dec 17 2019, 9:27 PM
chasemp added a subscriber: Jcross.

Everything is ready to go other than some massaging of language and preamble format/content. Plus updating https://www.mediawiki.org/wiki/Wikimedia_Security_Team/Services with current best information. Thanks @Jcross

Massaged a bit @chasemp but @JBennett is going to look as well. https://www.mediawiki.org/wiki/Wikimedia_Security_Team/Services has been updated.

chasemp reassigned this task from Jcross to JBennett.Jan 2 2020, 7:39 PM

Massaged a bit @chasemp but @JBennett is going to look as well. https://www.mediawiki.org/wiki/Wikimedia_Security_Team/Services has been updated.

@JBennett I think it's ready for sign off by you at https://phabricator.wikimedia.org/maniphest/task/edit/form/72/

JBennett closed this task as Resolved.Jan 2 2020, 8:49 PM

Looks good, thanks!